import { world, system, ItemStack } from "@minecraft/server";

function giveAmulet(player) {
  if (!player.hasTag("amulet_received")) {
    const amulet = new ItemStack("pa:savage_amulet2876", 1);
    player.getComponent("inventory").container.addItem(amulet);
    player.addTag("amulet_received");
    player.sendMessage("You have received the Savage Amulet! Hold your screen with it to proceed.");
  }
}

function mainTick() {
  world.getPlayers().forEach((player) => {
    giveAmulet(player);
  });
  system.run(mainTick);
}

system.run(mainTick);