import { world, system } from "@minecraft/server";

function sendAmuletMessage(player) {
  player.runCommandAsync(
    `/tellraw @a {"rawtext":[{"text":"§6About Amulets:\n§b Each Amulet has a distinct feature, being able to do things ranging from healing yourself to literally teleporting a random player to a pocket dimension.\n§7 Amulets MAY have hidden powers that can be activated by: HOLDING THE SCREEN, HITTING A MOB and BREAKING A BLOCK."}]}`
  );
}

function checkAndSendMessage() {
  world.getPlayers().forEach((player) => {
    if (!player.hasTag("amulet_info_shown")) {
      sendAmuletMessage(player);
      player.addTag("amulet_info_shown");
    }
  });

  system.run(checkAndSendMessage);
}

system.run(checkAndSendMessage);